# Class CIM_IPsecPolicyForSystem
extends CIM_Dependency

IPsecPolicyForSystem associates a PolicyGroup with a specific system (e.g., a host or a network device) - indicating that this is the 'default' IPsec policy for that system. The referenced PolicyGroup would be used for any IPProtocolEndpoint's IPsec negotiations, UNLESS the IPsecPolicyForEndpoint association is defined. IPsecPolicyForEndpoint indicates a more specific PolicyGroup for IPsec negotiations for the endpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_IPsecPolicyForSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

IPsecPolicyForSystem associates a PolicyGroup with a specific system (e.g., a host or a network device) - indicating that this is the 'default' IPsec policy for that system. The referenced PolicyGroup would be used for any IPProtocolEndpoint's IPsec negotiations, UNLESS the IPsecPolicyForEndpoint association is defined. IPsecPolicyForEndpoint indicates a more specific PolicyGroup for IPsec negotiations for the endpoint.

MappingStrings | string | IPSP Policy Model.IETF|IPsecPolicyForSystem
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_IPsecPolicyForSystem | CIM_System
Dependent | CIM_IPsecPolicyForSystem | CIM_PolicyGroup

## Class Methods